loci.plugins.in

## Class ImporterMetadata

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,java.lang.Object>
    - - loci.plugins.in.ImporterMetadata

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>

      public class ImporterMetadata
      extends java.util.HashMap<java.lang.String,java.lang.Object>

  Helper class for storing original metadata key/value pairs.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImporterMetadata(IFormatReader r, ImportProcess process, boolean usePrefix)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static int` | `digits(int value)` Computes the given value's number of digits.
    `java.lang.String` | `getMetadataString(java.lang.String separator)` Returns a string with each key/value pair on its own line.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ImporterMetadata

          public ImporterMetadata(IFormatReader r,
                                  ImportProcess process,
                                  boolean usePrefix)

  - ### Method Detail

    - #### getMetadataString

          public java.lang.String getMetadataString(java.lang.String separator)

      Returns a string with each key/value pair on its own line.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.AbstractMap<java.lang.String,java.lang.Object>`

    - #### digits

          private static int digits(int value)

      Computes the given value's number of digits.

Copyright © 2026 Open Microscopy Environment